{
  "content": "  (module t2_length\n  (data List (vars a)\n    (ctor Nil)\n    (ctor Cons a (con List)))\n  (fn length\n    (type (forall (a) (fn-type (params (con List)) (ret (con Int)))))\n    (params xs)\n    (body (match xs\n      (case (pat-ctor Nil) 0)\n      (case (pat-ctor Cons _ t) (app + 1 (app length t))))))\n  (fn main\n    (type (fn-type (params) (ret (con Unit)) (effects IO)))\n    (params)\n    (body (seq (do io/print_int (app length (ctor Nil)))\n               (do io/print_int (app length (ctor Cons 7 (ctor Cons 8 (ctor Cons 9 (ctor Nil)))))))))\n",
  "usage": {
    "completion_tokens": 199,
    "prompt_tokens": 7317,
    "total_tokens": 7516
  }
}